<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta  content="text/html; charset=utf-8" http-equiv="Content-Type"/><link  href="static/yui/fonts/fonts.css" type="text/css" rel="StyleSheet"/>
<link  href="static/yui/reset/reset.css" type="text/css" rel="StyleSheet"/>
<link  href="static/yui/grids/grids.css" type="text/css" rel="StyleSheet"/>
<link  href="static/style.css" type="text/css" rel="StyleSheet"/>
<link  href="static/yui/base/base.css" type="text/css" rel="StyleSheet"/>
<link  href="docstyle.css" type="text/css" rel="StyleSheet"/>
<link  href="syntax.css" type="text/css" rel="StyleSheet"/>


<title>Cubictemp Manual - API</title></head><body><div class="yui-t2" id="doc3"><div style="" id="hd"><h1> Cubictemp - API </h1></div><div id="bd"><div id="yui-main"><div style="" class="yui-b"><div class="grokdoc_module"><p><div class="grokdoc_function"><div class="grokdoc_function_title"><div class="grokdoc"><pre><span class="k">def</span> <span class="nf">escape</span><span class="p">(</span><span class="n">s</span><span class="p">)</span>
</pre></div>

</div><div class="grokdoc_description"><p>
        Replace special characters '&', '<', '>', ''', and '"' with the
        appropriate HTML escape sequences.
    </p></div></div></p><p><div class="grokdoc_class"><div class="grokdoc_class_title"><div class="grokdoc"><pre><span class="k">class</span> <span class="nc">TemplateError</span><span class="p">(</span><span class="ne">Exception</span><span class="p">)</span>
</pre></div>

</div><div class="grokdoc_description"><div><p>
        Template evaluation exception class.
    </p></div><table class="grokdoc_vartable"><tr><td><div class="grokdoc"><pre><span class="n">pos</span> <span class="o">=</span> <span class="bp">None</span>
</pre></div>

</td><td><p> Character offset within the raw template at which the error occurred
</p></td></tr><tr><td><div class="grokdoc"><pre><span class="n">template</span> <span class="o">=</span> <span class="bp">None</span>
</pre></div>

</td><td><p> Template object
</p></td></tr><tr><td><div class="grokdoc"><pre><span class="n">lineNo</span> <span class="o">=</span> <span class="bp">None</span>
</pre></div>

</td><td><p> Line number
</p></td></tr><tr><td><div class="grokdoc"><pre><span class="n">contextLen</span> <span class="o">=</span> <span class="mf">2</span>
</pre></div>

</td><td><p> Error context length
</p></td></tr></table><div class="grokdoc_function"><div class="grokdoc_function_title"><div class="grokdoc"><pre><span class="k">def</span> <span class="nf">__init__</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">message</span><span class="p">,</span> <span class="n">pos</span><span class="p">,</span> <span class="n">template</span><span class="p">)</span>
</pre></div>

</div></div><div class="grokdoc_function"><div class="grokdoc_function_title"><div class="grokdoc"><pre><span class="k">def</span> <span class="nf">__str__</span><span class="p">(</span><span class="bp">self</span><span class="p">)</span>
</pre></div>

</div></div></div></div><div class="grokdoc_class"><div class="grokdoc_class_title"><div class="grokdoc"><pre><span class="k">class</span> <span class="nc">Template</span><span class="p">()</span>
</pre></div>

</div><div class="grokdoc_description"><table class="grokdoc_vartable"><tr><td><div class="grokdoc"><pre><span class="n">name</span> <span class="o">=</span> <span class="s">&quot;&lt;string&gt;&quot;</span>
</pre></div>

</td><td><p> Name by which this template is referred to in exceptions.
</p></td></tr></table><div class="grokdoc_function"><div class="grokdoc_function_title"><div class="grokdoc"><pre><span class="k">def</span> <span class="nf">__init__</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">txt</span><span class="p">,</span> <span class="o">**</span><span class="n">nsDict</span><span class="p">)</span>
</pre></div>

</div><div class="grokdoc_description"><dl><dt>txt</dt><dd>Template body</dd><dt>nsDict</dt><dd>Namespace dictionary</dd></dl></div></div><div class="grokdoc_function"><div class="grokdoc_function_title"><div class="grokdoc"><pre><span class="k">def</span> <span class="nf">__str__</span><span class="p">(</span><span class="bp">self</span><span class="p">)</span>
</pre></div>

</div><div class="grokdoc_description"><p>
            Evaluate the template in the namespace provided at instantiation.
        </p></div></div><div class="grokdoc_function"><div class="grokdoc_function_title"><div class="grokdoc"><pre><span class="k">def</span> <span class="nf">__call__</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="o">**</span><span class="n">override</span><span class="p">)</span>
</pre></div>

</div><div class="grokdoc_description"><dl><dt>override</dt><dd><p>A set of key/value pairs.</p></dd></dl><p>            Evaluate the template, over-riding the instantiation namespace with
            the specified key/value pairs. Returns a string.
        </p></div></div></div></div><div class="grokdoc_class"><div class="grokdoc_class_title"><div class="grokdoc"><pre><span class="k">class</span> <span class="nc">File</span><span class="p">(</span><span class="n">Template</span><span class="p">)</span>
</pre></div>

</div><div class="grokdoc_description"><div><p>
        Convenience class that extends Template to provide easy instantiation
        from a file.
    </p></div><div class="grokdoc_function"><div class="grokdoc_function_title"><div class="grokdoc"><pre><span class="k">def</span> <span class="nf">__init__</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">filename</span><span class="p">,</span> <span class="o">**</span><span class="n">nsDict</span><span class="p">)</span>
</pre></div>

</div><div class="grokdoc_description"><dl><dt>filename</dt><dd>Full Path to file containing template body.</dd><dt>nsDict</dt><dd>Instantiation namespace dictionary.</dd></dl></div></div></div></div></p></div></div></div><div style="" class="yui-b"><div class="pageindex"><ul><li class="inactive"><a href="index.html">Introduction</a></li><li class="inactive"><a href="subs.html">Tags</a></li><li class="inactive"><a href="blocks.html">Blocks</a></li><li class="inactive"><a href="processors.html">Processors</a></li><li class="active"><a href="api.html">API</a></li><li class="inactive"><a href="admin.html">Administrivia</a></li></ul></div></div></div><div style="" id="ft"><p>Copyright Nullcube 2008</p></div></div></body></html>